Bug 1541022 - [specfile] Use 'urw-base35-fonts' requirement instead of 'urw-fonts'
Summary: [specfile] Use 'urw-base35-fonts' requirement instead of 'urw-fonts'
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: htmldoc
Version: 28
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://lists.fedoraproject.org/archi...
Whiteboard:
Depends On:
Blocks: 1494563
TreeView+ depends on / blocked
 
Reported: 2018-02-01 14:37 UTC by David Kaspar // Dee'Kej
Modified: 2019-05-28 20:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:01:41 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description David Kaspar // Dee'Kej 2018-02-01 14:37:57 UTC
Description of problem:
The 'urw-fonts' package is now obsolete and has been replaced with new 'urw-base35-fonts', which is being kept up-to-date.

'urw-fonts' will be dropped at the end-of-life of Fedora 27.

Please, update your specfile and make sure your package builds/works properly with new version of the (URW)++ fonts.

In case you find some problem, open a new BZ for your component and put me into CC so I try to help you deal with that issue.

Thank you! :)

--------------------------------------------------------------------

Associated pull-request:
https://src.fedoraproject.org/rpms/htmldoc/pull-request/1

Comment 1 Rex Dieter 2018-02-01 15:09:03 UTC
pull request merged, thanks.

Comment 2 Rex Dieter 2018-02-01 16:12:37 UTC
Ugh, so looking through the build of htmldoc, it appears the path to all/most of the urw-fonts have changed, so this will need more work (from me).  Re-opening to document and track that.

Comment 3 David Kaspar // Dee'Kej 2018-02-01 16:37:51 UTC
Does the upstream has any way of detecting the fonts path? Either via fontconfig or ./configure?

If not, you can utilize the 'urw-base35-fonts-devel' subpackage. It will automatically pull-in all the urw-base35 fonts, and it will provide you with RPM macro %{urw_base35_fontpath}. This macro contains the fullpath to the urw-base35 fonts directory.

Comment 4 Rex Dieter 2018-02-01 17:59:19 UTC
OK, thanks.  Upstream currently bundles all fonts... we're patching downstream to use system copies, so we need to know both the location and names of them all (using symlinks in the current hackish implementation)

Comment 5 David Kaspar // Dee'Kej 2018-02-02 12:29:13 UTC
(In reply to Rex Dieter from comment #4)
> OK, thanks.  Upstream currently bundles all fonts... we're patching
> downstream to use system copies, so we need to know both the location and
> names of them all (using symlinks in the current hackish implementation)

Yeah, similar issue for Ghostscript as well. If you would like to see how I'm dealing with this in its specfile, you can check this:
https://src.fedoraproject.org/rpms/ghostscript/blob/master/f/ghostscript.spec#_351

Comment 6 Fedora End Of Life 2018-02-20 15:23:23 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 7 David Kaspar // Dee'Kej 2018-02-27 14:55:29 UTC
Rex, can we close this BZ, or is there still some issue with the fonts?

Comment 8 Rex Dieter 2018-02-27 15:46:53 UTC
I was keeping it open because the new htmldoc does not actually use any urw-fonts ... yet.

But I can track that in a separate bug if you prefer.

Comment 9 David Kaspar // Dee'Kej 2018-02-27 15:48:52 UTC
No, it's OK, you can keep it open. :) I just wanted to check. ;)

Comment 10 David Kaspar // Dee'Kej 2018-05-02 12:26:44 UTC
Hello Rex, what's the status of this BZ? Does the htmldoc still needs fixing? :)

Comment 11 Rex Dieter 2018-05-02 15:15:15 UTC
Yes

Comment 12 Ben Cotton 2019-05-02 21:53:03 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-05-28 20:01:41 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.